Get App Usage Event

Get App Usage Event
Get an app usage event

Retrieve a specific app usage event.

Request
URI
GET
https://api.example.local/v3/app_usage_events/{guid}
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns AppUsageEvent of type(s) application/json
This response body class contains all of the following: BaseSchema
{
    "guid": "string",
    "created_at": "string",
    "updated_at": "string",
    "state": {
        "current": "string",
        "previous": "string"
    },
    "app": {
        "guid": "string",
        "name": "string"
    },
    "process": {
        "guid": "string",
        "type": "string"
    },
    "space": {
        "guid": "string",
        "name": "string"
    },
    "organization": {
        "guid": "string"
    },
    "buildpack": {
        "guid": "string",
        "name": "string"
    },
    "task": {
        "guid": "string",
        "name": "string"
    },
    "memory_in_mb_per_instance": {
        "current": 0,
        "previous": 0
    },
    "instance_count": {
        "current": 0,
        "previous": 0
    }
}
object
state
Optional

state

object
app
Optional

app

object
process
Optional

process

object
space
Optional

space

object
organization
Optional

organization

object
buildpack
Optional

buildpack

object
task
Optional

task

object
memory_in_mb_per_instance
Optional

memory_in_mb_per_instance

object
instance_count
Optional

instance_count


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/app_usage_events/{guid}